Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Interface Target

All Known Implementing Classes:
  BeanPropertyTarget, CallbackTarget, ConstructorTarget, DeserializerTarget, FieldTarget, MethodTarget, RPCParamTarget

public interface Target

A deserializer constructs a value from the xml passed over the wire and sets a target. The value is set on the target in a number of ways: setting a field, calling a method, setting an indexed property. The Target interface hides the complexity. The set method is simply invoked with the value. A class that implements the Target interface needs to supply enough information in the constructor to properly do the set (for example see MethodTarget)

Method Summary
`void` | `set(java.lang.Object value)`

Method Detail

### set

    public void set(java.lang.Object value)
             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.